[ANN] LuaSec 0.8 release

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[ANN] LuaSec 0.8 release

Bruno Silvestre-2
LuaSec depends on OpenSSL, and integrates with LuaSocket to make it
easy to add secure connections to any Lua applications or scripts.

Compatible with Lua 5.1, 5.2, 5.3, and LuaJIT.

In this version:
- Add support to ALPN
- Add support to TLS 1.3
- Add support to multiple certificates
- Add timeout to https module (https.TIMEOUT)
- Drop support to SSL 3.0
- Drop support to TLS 1.0 from https module
- Fix invalid reference to Lua state
- Fix memory leak when get certficate extensions

Thanks everyone who contributed with LuaSec.

Regards
--
bruno